## org.w3c.tools.timers
Interface EventHandler

All Known Implementing Classes:
  Client, ServletWrapper.TimeoutManager, EventManager

public interface EventHandler

Method Summary
`void` `handleTimerEvent(java.lang.Object data, long time)` Handle an timer event.

Method Detail

### handleTimerEvent

    public void handleTimerEvent(java.lang.Object data,
                                 long time)

  Handle an timer event. Data is the rock the register wanted passed to the handleEvent routine, and time is the time the event was scheduled to be delivered. The handler can compare that time to the current time, if it wants, to see whether or not it's falling behind.